/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
import { textVariantsSafe } from "../../css-tokens/dist/index.js";
import { assertUnreachable } from "../../utils/dist/assertUnreachable.js";
//#region ../tailwind-internal/dist/packages/automated-config/dist/mapTextVariantFixtureToValue.js
/*! © 2026 Yahoo, Inc. UDS Tailwind Internal v0.0.0-development */
/*! © 2026 Yahoo, Inc. UDS Default Config v0.0.0-development */
const mapTextVariantFixtureToValue = (key) => (selected, value) => {
	switch (key) {
		case "fontFamily": return `udsFontFamily[${textVariantsSafe(value)}]`;
		case "fontSize": return `udsFontSize[${textVariantsSafe(value)}]`;
		case "lineHeight": return `udsLineHeight[${textVariantsSafe(value)}]`;
		case "letterSpacing": return `udsLetterSpacing[${textVariantsSafe(value)}]`;
		case "textTransform": return `udsTextTransform[${textVariantsSafe(value)}]`;
		case "fontWeight": return `udsFontWeight[${textVariantsSafe(value)}]`;
	}
	return assertUnreachable(key);
};
//#endregion
export { mapTextVariantFixtureToValue };
